Bug 86256 - smpd init script has no error checking
smpd init script has no error checking
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: net-snmp (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-18 08:57 EST by Eric Wood
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-19 05:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Wood 2003-03-18 08:57:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
The /etc/init.d/snmpd init script will always give you and "OK" even though the 
daemon really didn't start.  There is not enough error checking in this script 
like the more mature named and sendmail scripts have.

Version-Release number of selected component (if applicable):
net-snmp-5.0.1-6

How reproducible:
Always

Steps to Reproduce:
1. Create a bad snmp conf file.
2. service snmpd start

    

Actual Results:  [OK]

Expected Results:  [FAILED]

Additional info:
Comment 1 Phil Knirsch 2003-08-08 10:15:03 EDT
Well, i tried it with the latest net-snmp version (5.0.8-6), and no matter how i
garbled the snmpd.conf file the daemon still starts and is running. It might not
do anything useful, mind you, but it's up and running. :-)

Not sure if there is an option with "died when corrupt config file", cause thats
something i would certainly add.

Read ya, Phil
Comment 2 Phil Knirsch 2003-11-19 05:45:02 EST
OK, beeh looking into it, there is no way to 'check' if the config
file is reasonable and the snmpd doesn't return any information about
it to the calling script, so i'm closing this bug as wontfix as it is
not fixable in a sane way.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.